<?php

namespace App\Http\Controllers\Api\V1\Order;

use App\Http\Controllers\Controller;
use App\Models\System\Settings\Payments\PaymentType;
use Illuminate\Http\JsonResponse;

class OrderPaymentController extends Controller
{
    /**
     * Order payment types
     */
    public function index(): JsonResponse
    {
        return response()->rest(
            PaymentType::query()
                ->where('is_enabled', true)
                ->get(['id', 'name', 'is_enabled'])
                ->map(fn ($paymentType) => [
                    'id' => $paymentType->id,
                    'name' => $paymentType->name,
                ])
        );
    }
}
